<?php
$include_path = ini_get('include_path');
ini_set('include_path', $include_path . ':' . dirname(dirname(dirname(__FILE__))));

require_once 'PHPUnit/Framework.php';
require_once 'Xpw/System/Base.php';
require_once 'Xpw/Reflection/Object.php';
/**
 * Enter description here...
 *
 */
class A extends Xpw_System_Base
{
	const A = '1';
	
	const B = true;
	
	public static $q;
	
	private $_a;
	
	private $_b;
	
	protected $_c;
	
	public $d;
	
	public function aPropertySet($value)
	{
		$this->_a = $value;
	}
	
	public function aPropertyGet()
	{
		return $this->_a;
	}
	
	public function aPropertyIsset()
	{
		return isset($this->_a);
	}
	
	public function aPropertyUnset()
	{
		unset($this->_a);	
	}
	
	protected function bPropertySet($value)
	{
		$this->_b = $value;
	}
	
	protected function bPropertyGet()
	{
		return $this->_b;
	}
	
	public static function asd()
	{
		
	}
	
	public function qwerty()
	{
		
	}
}

class ObjectReflectionTest extends PHPUnit_Framework_TestCase
{
	/**
	 * Class reflection.
	 *
	 * @var Xpw_Reflection_Object
	 */
	private $_objectReflection;
	
	protected function SetUp()
	{
		$a = new A;
		$a->ppp = 5;
		$a->fff = "asd";
		for ($i = 1; $i < 100; $i++)
		{
			$a->${"a". $i} = $i;	
		}
		$this->_objectReflection = new Xpw_Reflection_Object($a);
	}
	
	public function testConstants()
	{
		Reflection::export($this->_objectReflection);
	}
}
?>